# MCP Reference: servicehealth

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [enable MCP servers](https://docs.cloud.google.com/mcp/enable-disable-mcp-servers) and [set up authentication](https://docs.cloud.google.com/mcp/authenticate-mcp) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Service Health API MCP server has the following global MCP endpoint:

- https://servicehealth.googleapis.com/mcp

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

### Tools

The servicehealth MCP server has the following tools:

| MCP Tools ||
|---|---|
| `https://docs.cloud.google.com/service-health/docs/reference/mcp/tools_list/list_project_events` | Lists service health events for a given Google Cloud project. - `parent` (string, required): Parent value using the form `projects/{project_id}/locations/global`. - `filter` (string, optional): A filter expression that filters resources listed in the response. The expression takes the following forms: - field=value for category and state - field \<, \>, \<=, or \>= value for update_time - Examples: category=INCIDENT, update_time\>=2000-01-01T11:30:00-04:00 - Multiple filter queries are separated by spaces. Example: category=INCIDENT state=ACTIVE. - By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. - Filter is supported for the following fields: category, state, update_time - `page_size` (integer, optional): The maximum number of events that should be returned. Acceptable values are 1 to 100, inclusive. (The default value is 10.) If more results are available, the service returns a nextPageToken that you can use to get the next page of results in subsequent list requests. The service may return fewer events than the requested page_size. - `page_token` (string, optional): A page token received from a previous `list_project_events` call. Provide this to retrieve the subsequent page. |
| `https://docs.cloud.google.com/service-health/docs/reference/mcp/tools_list/get_project_event` | Gets detailed information about a specific service health event. - `name` (string, required): Name of the event using the form `projects/{project_id}/locations/global/events/{event_id}`. |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://servicehealth.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |